Issue1402

Title [PATCH] gpg-protect-tool doesn't pass DISPLAY to agent
Priority bug Status resolved
Category gnupg Due Date
Version 2.0.18 ExtLink https://bugzilla.redhat.com/show_bug.cgi?id=548528 (go)
Superseder Nosy List tootea
Assigned To Topics  (help)

Created on 2012-04-11.20:31:20 by [P] tootea, last changed 2015-05-07.02:20:03 by gniibe.

Files
File name Uploaded Type Edit Remove
gnupg-2.0.18-protect-tool-env.patch tootea, 2012-04-11.20:31:20 text/x-patch
Messages
msg6255 (view) Author: gniibe Date: 2015-05-07.02:20:02
Confirmed that this is fixed in GnuPG in 2.0.25.  In the external reference (the
bugzilla at RedHat), it's also closed already.
In the SCM (http://pkgs.fedoraproject.org/cgit/gnupg2.git), it's
1f6281e091d124170238821e7b9150ab56ff1195 which
removed the patch.
msg5135 (view) Author: werner Date: 2014-06-25.15:28:26
commit 045c979 has the patch to be released with 2.0.25.
msg5134 (view) Author: aheinecke Date: 2014-06-25.13:51:13
The gnupg version mentioned in msg5133 should be 2.0.22 and not 2.0.18
msg5133 (view) Author: aheinecke Date: 2014-06-25.13:48:51
I can confirm the problem described in the redhat bug still exists. Ran into it
on ubuntu 14.4 with gnupg 2.0.18 (with use-agent in the gpg config).

gpgsm --import <cert> failed with decryption failed without opening pinentry.
But after unsetting GPG_AGENT_INFO it worked.
msg4266 (view) Author: tootea Date: 2012-04-18.19:03:27
Is it just me, or are both of my messages truncated to a single line?!
msg4265 (view) Author: tootea Date: 2012-04-18.19:01:00
This is in no way specific to Kleopatra (the KDE certificate manager), gpgsm --
msg4264 (view) Author: werner Date: 2012-04-18.10:05:17
KDE's Kontact has been developed along with GnuPG, thus I wonder why you have
this problem.  Can you please explain the problem a bit more detailed?
msg4263 (view) Author: tootea Date: 2012-04-11.20:31:20
Importing PKCS#12 keys with gpgsm doesn't work properly (at least under KDE) -
History
Date User Action Args
2015-05-07 02:20:03gniibesetstatus: chatting -> resolved
messages: + msg6255
2014-06-25 15:28:26wernersetmessages: + msg5135
2014-06-25 13:51:13aheineckesetmessages: + msg5134
2014-06-25 13:48:51aheineckesetmessages: + msg5133
2012-04-18 19:03:27tooteasetmessages: + msg4266
2012-04-18 19:01:00tooteasetmessages: + msg4265
2012-04-18 10:05:17wernersetstatus: unread -> chatting
messages: + msg4264
2012-04-11 20:31:20tooteacreate